org.gradle.nativebinaries.toolchain

## Interface TargetPlatformConfiguration

-     @Incubating
      public interface TargetPlatformConfiguration

  Configuration to add support for a target platform to a `PlatformConfigurableToolChain`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAssemblerArgs()` The additional args supplied to the Assembler to target the platform.
    `List<String>` | `getCCompilerArgs()` The additional args supplied to the C compiler to target the platform.
    `List<String>` | `getCppCompilerArgs()` The additional args supplied to the C++ compiler to target the platform.
    `List<String>` | `getLinkerArgs()` The additional args supplied to the Linker to target the platform.
    `List<String>` | `getStaticLibraryArchiverArgs()` The additional args supplied to the Static Library Archiver to target the platform.
    `boolean` | `supportsPlatform(Platform targetPlatform)` Matches the platform that this configuration supports.

- - ### Method Detail

    - #### supportsPlatform

          boolean supportsPlatform(Platform targetPlatform)

      Matches the platform that this configuration supports.

    - #### getCppCompilerArgs

          List<String> getCppCompilerArgs()

      The additional args supplied to the C++ compiler to target the platform.

    - #### getCCompilerArgs

          List<String> getCCompilerArgs()

      The additional args supplied to the C compiler to target the platform.

    - #### getAssemblerArgs

          List<String> getAssemblerArgs()

      The additional args supplied to the Assembler to target the platform.

    - #### getStaticLibraryArchiverArgs

          List<String> getStaticLibraryArchiverArgs()

      The additional args supplied to the Static Library Archiver to target the platform.

    - #### getLinkerArgs

          List<String> getLinkerArgs()

      The additional args supplied to the Linker to target the platform.